### Method

# GtkSource Buffer backward_iter_to_source_mark

#### Declaration [src]

    gboolean
    gtk_source_buffer_backward_iter_to_source_mark (
      GtkSourceBuffer* buffer,
      GtkTextIter* iter,
      const gchar* category
    )

#### Description [src]

Moves `iter` to the position of the previous `GtkSourceMark` of the given category.

Returns `TRUE` if `iter` was moved. If `category` is NULL, the previous source mark can be of any category.

#### Parameters

`iter`

  Type: `GtkTextIter`

  An iterator.

  The argument will be modified by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`category`

  Type: `const gchar*`

  Category to search for, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Whether `iter` was moved.